#ifndef CProcessList_H
#define CProcessList_H

#include "CListViewTools.h"
#include "psapi.h"

class CProcessInfo : public CListViewEntry
	{
	public:
		CProcessInfo( HANDLE hProcess, DWORD dwProcessID, HMODULE* lphModules, DWORD dwModuleCount );
        virtual CString GetDisplayString(DWORD dwIndex);
        virtual COLORREF GetTextColor();
        virtual CString GetInfoTip();

        CString m_strFileName;
        CString m_strProcessID;
        CString m_strUsername;

        // memory info
        CString m_strPageFaultCount;
        CString m_strPeakWorkingSetSize;
        CString m_strWorkingSetSize;
        CString m_strQuotaPeakPagedPoolUsage;
        CString m_strQuotaPagedPoolUsage;
        CString m_strQuotaPeakNonPagedPoolUsage;
        CString m_strQuotaNonPagedPoolUsage;
        CString m_strPagefileUsage;
        CString m_strPeakPagefileUsage;

        COLORREF m_dwColor;
        DWORD m_dwProcessID;
        PROCESS_MEMORY_COUNTERS m_mc;
	};

class CProcessList : public CListViewEntries
    {
    public:
        CProcessList();

        virtual BOOL Refresh();
        virtual void ConnectTo( LPCTSTR lpszMachine );
        virtual void ExportXmlToFile( CFile* pFile );
        virtual UINT GetContextMenuID();




    protected:
    };

#endif // CProcessList_H

